services:
  embassy_package.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, advertQuantity: ~, broadcastDuration: ~, review: ~, quantityUsed: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  embassy_package.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', advertQuantityUsed: 'exact', 'embassy.id': 'exact', 'purchaseOrder.state': 'exact' } ]
    tags:  [ 'api_platform.filter' ]